# phpDox - Query\Drivers\Pgsql\Util

# Query\Drivers\Pgsql\Util

#### Postgres-specific backup, import and creation methods

## Synopsis

class Util extends AbstractUtil {

- // methods
- public string backupStructure()
- public string backupData()

- // Inherited methods from AbstractUtil
- public void __construct()
- public DriverInterface getDriver()
- public string createTable()
- public string deleteTable()
- public abstract string backupStructure()
- public abstract string backupData()

}

## Hierarchy

#### Extends

- Query\Drivers\AbstractUtil

## Tasks

Line | Task
--- | ---
33 | Implement Backup function

## Methods

#### public

- backupData() — Create an SQL backup file for the current database's data
- backupStructure() — Create an SQL backup file for the current database's structure

### Inherited from Query\Drivers\AbstractUtil

#### public

- backupData() — Return an SQL file with the database data as insert statements
- backupStructure() — Return an SQL file with the database table structure
- createTable() — Convenience public function to generate sql for creating a db table
- deleteTable() — Drop the selected table
- getDriver() — Get the driver object for the current connection